site_name: 'Datalab Normandie - plateforme DataOps'
site_description: 'Documentation utilisateurs <sebastien.vigneron@criann.fr>'
site_author: 'Sébastien VIGNERON'
copyright: "© <a href='https://www.datalab-normandie.fr/' target='_blank'>Datalab Normandie</a>"
theme:
  name: 'material'
  language: 'fr'
  highlightjs: true

  palette:
    - scheme: 'datalab-light'
      # media: "(prefers-color-scheme: light)"
      toggle:
        icon: material/weather-sunny
        name: Switch to dark mode
    - scheme: 'datalab-dark'
      # media: "(prefers-color-scheme: dark)"
      toggle:
        icon: material/weather-night
        name: Switch to light mode

  favicon: 'assets/images/touch.png'
  logo: 'assets/images/icon-dln-negatif.png'
  features:
    - tabs
    - instant
  font:
    text: 'Ubuntu'
    code: 'Varela Round'
extra:
  dataops:
    domain: !ENV [DATAOPS_DOMAIN, "atelier.datalab-normandie.fr"]
    prefix: !ENV [DATAOPS_PREFIX, "dln"]
    suffix: !ENV [DATAOPS_SUFFIX, "p1"]
  datalake:
    prefix: !ENV [DATALAKE_PREFIX, "s3"]
    console: !ENV [DATALAKE_CONSOLE, "console"]
  support_email: 'dln-support@criann.fr'
  icons:
    check_yes: ':fontawesome-solid-square-check: {: style="color: green"}'
    check_no: ':fontawesome-solid-circle-check: {: style="color: red"}'
  alternate:
    - name: Français
      link: ./fr/
      lang: fr
    - name: English
      link: ./en/ 
      lang: en
  generator: false

extra_css:
  - 'assets/styles/extra.css'
# extra_javascript:
#   - 'assets/js/mermaid.min.js'

markdown_extensions:
  - admonition
  - codehilite:
      guess_lang: false
      linenums: false
  - meta
  - attr_list
  - toc:
      permalink: true
  - pymdownx.arithmatex
  - pymdownx.betterem:
      smart_enable: all
  - pymdownx.caret
  - pymdownx.critic
  - pymdownx.details
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
  - pymdownx.inlinehilite
  - pymdownx.keys
  - pymdownx.magiclink
  - pymdownx.mark
  - pymdownx.progressbar
  - pymdownx.smartsymbols
  - pymdownx.superfences:
      custom_fences: []
        # - name: mermaid
        #   class: mermaid
        #   format: !!python/name:pymdownx.superfences.fence_div_format
  - pymdownx.tabbed
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.tilde
plugins:
  - search
  # - add-number  ## Ajout de la numérotation des entêtes (h1-h6)
  - awesome-pages:
      collapse_single_pages: true
  - macros
  - minify:
      minify_html: true
  - i18n:
      default_language: fr
      languages:
        fr:
          name: Français
          build: true
        en:
          name: English
          build: true
      nav_translations:
        en:
          'Connexion': 'Connect'
  - git-revision-date-localized:
      enabled: !ENV [ENABLED_GIT_REVISION_DATE, True]
      type: datetime
      timezone: Europe/Paris
      fallback_to_build_date: true
      exclude:
        - index.fr.md
        - index.en.md
